# class ColorMatrixFilter

#### package openfl.filters

#### extends BitmapFilter

Available on all platforms

### Constructor

###

`new (?matrix:Array<Float>)`

### Variables

###

`read onlymatrix:Array<Float>`

### Inherited Variables

### Inherited Methods

#### Defined by BitmapFilter

###

`clone ():BitmapFilter`

Returns a BitmapFilter object that is an exact copy of the original BitmapFilter object.

Returns:

A BitmapFilter object.